"""1. Если значение некой переменной больше 0, выводилось
бы специальное сообщение.
Один раз выполните программу при значении переменной
больше 0, второй раз — меньше 0.
"""
a = 1

if a > 0:
    print("Special message")

"""2. Усовершенствуйте предыдущий код с помощью ветки else так,
 чтобы в зависимости от значения переменной, выводилась либо 1, либо -1.
"""
a = 0

if a > 0:
    print("1")
else:
    print("-1")
"""3. Самостоятельно придумайте программу,
в которой бы использовалась инструкция if (желательно с веткой elif).
Вложенный код должен содержать не менее трех выражений.
"""
a = 0
b = 3

if a > 0:
    print("1")
elif b > 2:
    print("son of Hell")
else:
    print("Angel")

"""1 . Напишите программу по следующему описанию:
a. двум переменным присваиваются числовые значения;
b. если значение первой переменной больше второй,
то найти разницу значений переменных (вычесть из первой вторую),
результат связать с третьей переменной;
c. если первая переменная имеет меньшее значение, чем вторая, то третью
переменную связать с результатом суммы значений двух первых переменных;
d. во всех остальных случаях, присвоить третьей переменной
значение первой переменной;
e. вывести значение третьей переменной на экран.
"""

a = int(input())

b = int(input())

c = 0

if a > b:
    c = a - b

elif a == b:
    c = a

else:
    c = a + b

print(c)
"""
FOR
1. Создайте список, состоящий из четырех строк. Затем,
с помощью цикла for, выведите строки поочередно на экран.

2. Измените предыдущую программу так, чтобы в конце каждой
буквы строки добавлялось тире. (Подсказка: цикл for может
быть вложен в другой цикл.)

3. Создайте список, содержащий элементы целочисленного типа,
затем с помощью цикла перебора измените тип данных элементов на
числа с плавающей точкой.
(Подсказка: используйте встроенную функцию float().)

*4. Есть два списка с одинаковым количеством элементов,
в каждом из них этих списков есть элемент “hello”.
В первом списке индекс этого элемента 1, во втором 7.
Одинаковых элементов в обоих списках может быть несколько.
Напишите программу которая распечатает индекс слова “hello”
в первом списке и условный номер списка, индекс слова во втором списки и
условный номер списка со словом Совпадают. Например, программа
выведет на экран:

“Совпадают 1-й элемент из первого списка и 7-й элемент из второго списка"""

spisok = ("Dima", "Marat", "Molli", "lida")

for name in spisok:
    for latter in name:
        print(latter, end="-")

# 3

new_spisok = (1, 2, 3, 4, 5)
for number in new_spisok:
    print("float =", float(number))

# 4

lst3 = ['SDF', 'hello', 'mama', 'icos', 'the', 'red', 'sport', 'MmM']
lst4 = ['wi-fi', 'var', 'dom', 'take', 'lazar', 'hi', 'run', 'hello']
for i in lst3:
    r = i
    for j in lst4:
        if r == j:
            ind_1st = lst3.index(i)
            ind_2nd = lst4.index(j)
            print('match' + str(ind_1st) + '- element from  '
                  'first list and  ' + str(ind_2nd) + '- from second list ')


"""WHILE
1. Напишите скрипт на языке программирования Python,
выводящий ряд чисел Фибоначчи (числовая последоватьность в
которой числа начинаются с 1 и 1 или же и 0 и 1, пример:
0, 1, 1, 2, 3, 5, 8, 13, 21, 34, 55, 89, 144, 233, ...).
Запустите его на выполнение. Затем измените код так, чтобы выводился ряд
чисел Фибоначчи, начиная с пятого члена ряда и заканчивая двадцатым.
2. Напишите цикл, выводящий ряд четных чисел от 0 до 20. Затем, каждое
третье число в ряде от -1 до -21.
3. Самостоятельно придумайте программу на Python, в которой бы использовался
цикл while. В комментарии опишите что она делает."""


# Task 1

first_elem = 0
second_elem = 1
show_results = [str(first_elem), str(second_elem)]
im = 20
while im > 0:
    next_elem = first_elem + second_elem
    show_results.append(str(next_elem))
    first_elem = second_elem
    second_elem = next_elem
    im -= 1
print('Result = ', show_results)
print('Result (5-20):', show_results[4:20])

# Task 2

p = 0
p2 = ''
while p < 21:
    if p % 2 == 0:
        p2 = p2 + str(p) + ' '
    p += 1
print('Task 4.2:', p2)

i = -3
p3 = ''
while i > -22:
    p3 = p3 + str(i) + ' '
    i -= 3
print('Task 4.2:', p3)

# Task3
"""Напоминатель о критической или на гране критической температуры для
 продукта , при входных данных из термомитра"""
a = int(input())
while a != 0:
    if a < 0:
        print('Критическая температура , продукт испорчен', a)
        break
    a = int(input())
else:
    print('Температура на гране критической ')

# Input
# 1.Напишите программу, которая запрашивает у пользователя:
# - его имя (например, "What is your name?")
# - возраст ("How old are you?")
# - место жительства ("Where are you live?")
# После этого выводила бы три строки:
# "This is имя"
# "It is возраст"
# "(S)he lives in место_жительства"

# 2. Напишите программу, которая предлагала
# бы пользователю решить пример 4 * 100 - 54.
# Потом выводила бы на экран правильный ответ
# и ответ пользователя. Подумайте,
# нужно ли здесь преобразовывать строку в число.

# 3. Запросите у пользователя четыре числа.
# Отдельно сложите первые два и отдельно вторые два.
#  Разделите первую сумму на вторую.
#  Выведите результат на экран так, чтобы ответ
#  содержал две цифры после запятой.

name = input('Task 5.1: What is your name? ')
age = input('Task 5.1: How old are you? ')
place = input('Task 5.1: Where are you live? ')
print('Task 5.1: This is', name)
print('Task 5.1: It is', age)
print('Task 5.1: (S)he lives in', place)

# Task2

answer = int(input('Task 5.2: Напишите результат выражения 4 * 100 - 54: '))
if answer == 4 * 100 - 54:
    print(': Верно! 346')
else:
    print(': Ваш ответ !', answer)
    print(': Првельный ответ! 346')

# посколько инпут это строка нужно преобразовывать ее в число для сравнения с
# правильным результатом.

# Task 3:

dig1 = float(input('Task 5.3: 1 число: '))
dig2 = float(input('Task 5.3: 2 число: '))
dig3 = float(input('Task 5.3: 3 число: '))
dig4 = float(input('Task 5.3: 4 число: '))
first_sum = dig1 + dig2
second_sum = dig3 + dig4
print("%.2f" % (first_sum / second_sum))
